Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Gamecon driver installation fail



  • Hello all. This is the error message that I am getting when the drivers fail to install.
    Log started at: Sun 19 Feb 22:10:48 UTC 2017

    = = = = = = = = = = = = = = = = = = = = =
    Installing dependencies for 'gamecondriver' : Gamecon & db9 drivers
    = = = = = = = = = = = = = = = = = = = = =

    = = = = = = = = = = = = = = = = = = = = =
    Installing 'gamecondriver' : Gamecon & db9 drivers
    = = = = = = = = = = = = = = = = = = = = =

    (Reading database ... 84440 files and directories currently installed.)
    Preparing to unpack gamecon-gpio-rpi-dkms_1.2_all.deb ...

    -------- Uninstall Beginning --------
    Module: gamecon_gpio_rpi
    Version: 1.2
    Kernel: 4.4.38+ (armv6l)

    Status: Before uninstall, this module version was ACTIVE on this kernel.

    gamecon_gpio_rpi.ko:

    • Uninstallation
      • Deleting from: /lib/modules/4.4.38+/updates/dkms/
    • Original module
      • No original module was found for this module on this kernel.
      • Use the dkms install command to reinstall any previous module version.

    depmod....

    DKMS: uninstall completed.

    -------- Uninstall Beginning --------
    Module: gamecon_gpio_rpi
    Version: 1.2
    Kernel: 4.4.38-v7+ (armv6l)

    Status: Before uninstall, this module version was ACTIVE on this kernel.

    gamecon_gpio_rpi.ko:

    • Uninstallation
      • Deleting from: /lib/modules/4.4.38-v7+/updates/dkms/
    • Original module
      • No original module was found for this module on this kernel.
      • Use the dkms install command to reinstall any previous module version.

    depmod....

    DKMS: uninstall completed.


    Deleting module version: 1.2
    completely from the DKMS tree.

    Done.
    Unpacking gamecon-gpio-rpi-dkms (1.2) over (1.2) ...
    Setting up gamecon-gpio-rpi-dkms (1.2) ...
    Loading new gamecon_gpio_rpi-1.2 DKMS files...
    First Installation: checking all kernels...
    dpkg: warning: version '-' has bad syntax: version number does not start with digit
    dpkg: warning: version '4.4.26-v7+
    4.4.38+
    4.4.38' has bad syntax: invalid character in revision number
    It is likely that 4.4.26+ belongs to a chroot's host
    Building for architecture armv6l
    Module build for the currently running kernel was skipped since the
    kernel source for this kernel does not seem to be installed.
    Building initial module for 4.4.38+
    Done.

    gamecon_gpio_rpi:
    Running module version sanity check.

    • Original module
      • No original module exists within this kernel
    • Installation
      • Installing to /lib/modules/4.4.38+/updates/dkms/

    depmod....

    DKMS: install completed.
    Building initial module for 4.4.38-v7+
    Done.

    gamecon_gpio_rpi:
    Running module version sanity check.

    • Original module
      • No original module exists within this kernel
    • Installation
      • Installing to /lib/modules/4.4.38-v7+/updates/dkms/

    depmod....

    DKMS: install completed.
    (Reading database ... 84440 files and directories currently installed.)
    Preparing to unpack db9-gpio-rpi-dkms_1.0_all.deb ...

    -------- Uninstall Beginning --------
    Module: db9_gpio_rpi
    Version: 1.0
    Kernel: 4.4.38+ (armv6l)

    Status: Before uninstall, this module version was ACTIVE on this kernel.

    db9_gpio_rpi.ko:

    • Uninstallation
      • Deleting from: /lib/modules/4.4.38+/updates/dkms/
    • Original module
      • No original module was found for this module on this kernel.
      • Use the dkms install command to reinstall any previous module version.

    depmod....

    DKMS: uninstall completed.

    -------- Uninstall Beginning --------
    Module: db9_gpio_rpi
    Version: 1.0
    Kernel: 4.4.38-v7+ (armv6l)

    Status: Before uninstall, this module version was ACTIVE on this kernel.

    db9_gpio_rpi.ko:

    • Uninstallation
      • Deleting from: /lib/modules/4.4.38-v7+/updates/dkms/
    • Original module
      • No original module was found for this module on this kernel.
      • Use the dkms install command to reinstall any previous module version.

    depmod....

    DKMS: uninstall completed.


    Deleting module version: 1.0
    completely from the DKMS tree.

    Done.
    Unpacking db9-gpio-rpi-dkms (1.0) over (1.0) ...
    Setting up db9-gpio-rpi-dkms (1.0) ...
    Loading new db9_gpio_rpi-1.0 DKMS files...
    First Installation: checking all kernels...
    dpkg: warning: version '-' has bad syntax: version number does not start with digit
    dpkg: warning: version '4.4.26-v7+
    4.4.38+
    4.4.38' has bad syntax: invalid character in revision number
    It is likely that 4.4.26+ belongs to a chroot's host
    Building for architecture armv6l
    Module build for the currently running kernel was skipped since the
    kernel source for this kernel does not seem to be installed.
    Building initial module for 4.4.38+
    Done.

    db9_gpio_rpi:
    Running module version sanity check.

    • Original module
      • No original module exists within this kernel
    • Installation
      • Installing to /lib/modules/4.4.38+/updates/dkms/

    depmod....

    DKMS: install completed.
    Building initial module for 4.4.38-v7+
    Done.

    db9_gpio_rpi:
    Running module version sanity check.

    • Original module
      • No original module exists within this kernel
    • Installation
      • Installing to /lib/modules/4.4.38-v7+/updates/dkms/

    depmod....

    DKMS: install completed.
    libkmod: ERROR ../libkmod/libkmod.c:557 kmod_search_moddep: could not open moddep file '/lib/modules/4.4.26+/modules.dep.bin'
    modinfo: ERROR: Module alias gamecon_gpio_rpi not found.
    libkmod: ERROR ../libkmod/libkmod.c:557 kmod_search_moddep: could not open moddep file '/lib/modules/4.4.26+/modules.dep.bin'
    modinfo: ERROR: Module alias db9_gpio_rpi not found.
    Gamecon GPIO driver installation FAILED
    Db9 GPIO driver installation FAILED

    Log ended at: Sun 19 Feb 22:14:17 UTC 2017
    Total running time: 0 hours, 3 mins, 29 secs

    I have tried multiple times to update everything prior to installation but this still happens.

    Any ideas? I'm not sure how to install the kernels that it says I am missing.


  • administrators

    @faugnom1

    Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first (as you agreed when registering on the forum)

    Did you update retropie-setup first ? I cannot advise without knowing something about your set-up.



  • Sorry about that.

    Thanks you.

    Pi Model or other hardware: Zero
    Power Supply used: stock
    RetroPie Version Used (eg 3.6, 3.8.1, 4.1 - do not write latest): 4.1
    Built From: Retropie 4.1 download
    USB Devices connected: usb hub
    Controller used: cirka snes controller
    Error messages received: Gamecon GPIO driver installation FAILED/ Db9 GPIO driver installation FAILED and. No original module was found for this module on this kernel.
    Log found in /dev/shm/runcommand.log (if relevant): log is in original post
    Guide used: (Mention if you followed a guide) https://github.com/retropie/retropie-setup/wiki/GPIO-Modules
    File: (File with issue - with FULL path)
    Emulator: (Name of emulator - if applicable) all
    Attachment of config files: (PLEASE USE PASTEBIN.COM FOR LARGE LOGS) config files are non existant
    How to replicate the problem: Fresh install of retropie. Update setup script. Install gamecon drivers. Drivers fail.


  • administrators

    @faugnom1 try updating all packages including system packages.



  • Yes, I used to have issues installing the gamecon driver until I updated all packages like @BuZz has said. Working fine here.



  • Just to be sure. Is that the command sudo apt-get upgrade. or is it something else?



  • @faugnom1 Either by command-line or through retropie-setup https://github.com/retropie/retropie-setup/wiki/updating-retropie



  • Ok. I actually did that once in an effort to problem solve earlier. And the driver seemed to install fine.. but the config files or the mod fodler are no where to be found. I used filezilla to get into the pie and look for it in the ETC folder. So it still wouldn't work. \

    I will try again



  • @faugnom1 I used its default config for two snes controllers so I've never had to mess with it. Maybe it won't get created until you set it up once.



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.